import request from '@/utils/request'

// 查询政府职能部门颁发的其他荣誉列表
export function listLists(query) {
  return request({
    url: '/basicData/xcrHonorLists/findByPage',
    method: 'get',
    params: query
  })
}

// 查询政府职能部门颁发的其他荣誉详细
export function getLists(id) {
  return request({
    url: '/basicData/xcrHonorLists/' + id,
    method: 'get'
  })
}

// 新增政府职能部门颁发的其他荣誉
export function addLists(data) {
  return request({
    url: '/basicData/xcrHonorLists',
    method: 'post',
    data: data
  })
}

// 修改政府职能部门颁发的其他荣誉
export function updateLists(data) {
  return request({
    url: '/basicData/xcrHonorLists',
    method: 'put',
    data: data
  })
}

// 删除政府职能部门颁发的其他荣誉
export function delLists(id) {
  return request({
    url: '/basicData/xcrHonorLists/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delListsBatch(ids) {
  return request.post('/basicData/xcrHonorLists/delete',ids)
}
